Add Z/M support to Processing - WAS: "Extract nodes" drops m values

2016-10-05 05:11 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23590

Description

Processing needs to be updated to support z and m geometry values supported by QGIS core.

For example, result of the "Extract nodes" are just simply XY points.

In contrast the nodes_to_points(geometry, ignore_closing_nodes) function available in expressions does honor m and z values.

Related issues:

Related to QGIS Application - Bug report # 14659: add geometric columns - no ... Closed 2016-04-11

History

#1 - 2016-10-05 08:58 AM - Alexander Bruy

Currently Processing does not adopted to support Z/M/ZM values, so all similar algs are affected.

#2 - 2016-10-05 11:48 AM - Anita Graser

- Subject changed from Processing "Extract nodes" drops m values to Add Z/M support to Processing - WAS: "Extract nodes" drops m values

#3 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-07-16 10:06 AM - Nyall Dawson

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Extract nodes is fixed in commit:1b1dc7de63310369e0a52afe8f6a9b538f36da3c

I think specific reports should be open for other algorithms. Many which rely on GEOS and other libraries will be upstream issues, but there's also other

QGIS native ones which we can fix.
